holidays:
  # @attrib https://en.wikipedia.org/wiki/Public_holidays_in_Brazil
  # @attrib https://pt.wikipedia.org/wiki/Feriados_no_Brasil
  BR:
    names:
      pt: Brasil
      en: Brazil
    dayoff: sunday
    langs:
      - pt
    zones:
      - America/Sao_Paulo
      - America/Noronha
      - America/Belem
      - America/Fortaleza
      - America/Recife
      - America/Araguaina
      - America/Maceio
      - America/Bahia
      - America/Campo_Grande
      - America/Cuiaba
      - America/Santarem
      - America/Porto_Velho
      - America/Boa_Vista
      - America/Manaus
      - America/Eirunepe
      - America/Rio_Branco
    days:
      01-01:
        _name: 01-01
      04-21:
        name:
          pt: Dia de Tiradentes
          en: Tiradentes' Day
      easter -50 PT110H:
        name:
          pt: Carnaval
          en: Carnival
        type: optional
      easter -2:
        _name: easter -2
      easter:
        _name: easter
        type: observance
      05-01:
        _name: 05-01
      2nd sunday in May:
        _name: Mothers Day
        type: observance
      easter 60:
        _name: easter 60
        type: optional
      06-12:
        name:
          pt: Dia dos Namorados
          en: Lovers' Day
        type: observance
      2nd sunday in August:
        _name: Fathers Day
        type: observance
      09-07:
        _name: Independence Day
      10-12:
        name:
          pt: Nossa Senhora Aparecida
          en: Our Lady of Aparecida
      1st sunday in October in even years:
        name:
          pt: Dia de Eleição
          en: Election Day
      1st sunday before 11-01 in even years:
        name:
          pt: Dia de Eleição
          en: Election Day
      11-02:
        _name: 11-02
      11-15:
        name:
          pt: Proclamação da República
          en: Republic Day
      '12-24 14:00':
        _name: 12-24
        type: optional
      12-25:
        _name: 12-25
      '12-31 14:00':
        _name: 12-31
        type: optional
    states:
      AC:
        name: Acre
        zones:
          - America/Rio_Branco
        days:
          01-12:
            name:
              pt: Dia do evangélico
            active:
              - from: 2004-01-29
          03-08:
            name:
              pt: Alusivo ao Dia Internacional da Mulher
            active:
              - from: 2001-09-14
          06-15:
            name:
              pt: Aniversário do estado
            active:
              - from: 1964-09-02
          09-05:
            name:
              pt: Dia da Amazônia
            active:
              - from: 2004-01-05
          11-17:
            name:
              pt: Assinatura do Tratado de Petrópolis
            type: optional
            active:
              - from: 2012-02-21
      AL:
        name: Alagoas
        zones:
          - America/Maceio
        days:
          06-24:
            name:
              pt: São João
            active:
              - from: 1993-07-07
          06-29:
            name:
              pt: São Pedro
            active:
              - from: 1993-07-07
          09-16:
            name:
              pt: Emancipação política
          11-20:
            name:
              pt: Morte de Zumbi dos Palmares
            active:
              - from: 1995-08-01
      AM:
        name: Amazonas
        zones:
          - America/Manaus
        days:
          09-05:
            name:
              pt: Elevação do Amazonas à categoria de província
            active:
              - from: 1977-12-21
          11-20:
            name:
              pt: Dia da Consciência Negra
            active:
              - from: 2010-07-08
      AP:
        name: Amapá
        zones:
          - America/Belem
        days:
          03-19:
            name:
              pt: Dia de São José
            note: Santo padroeiro do Estado do Amapá
            active:
              - from: 2002-04-16
          09-13:
            name:
              pt: Criação do Território Federal
      BA:
        name: Bahia
        zones:
          - America/Bahia
        days:
          07-02:
            name:
              pt: Independência da Bahia
      CE:
        name: Ceará
        zones:
          - America/Fortaleza
        days:
          03-25:
            name:
              pt: Data magna do estado
            active:
              - from: 2011-12-01
      DF:
        name: Distrito Federal
        zones:
          - America/Sao_Paulo
        days:
          04-21:
            name:
              pt: Fundação de Brasília
          11-30:
            name:
              pt: Dia do Evangélico
            type: public
            active:
              - from: 1995-12-04
      # ES:
      #   name: Espírito Santo
      #  zones:
      #    - America/Sao_Paulo
      # GO:
      #   name: Goiás
      #  zones:
      #    - America/Sao_Paulo
      MA:
        name: Maranhão
        zones:
          - America/Belem
        days:
          07-28:
            name:
              pt: Adesão do Maranhão à independência do Brasil
            active:
              - from: 1964-10-02
      MG:
        name: Minas Gerais
        zones:
          - America/Sao_Paulo
        days:
          04-21:
            name:
              pt: Data magna do estado
        regions:
          BH:
            name: Belo Horizonte
            days:
              08-15:
                _name: 08-15
                name:
                  pt: Assunção de Nossa Senhora
                type: public
              12-08:
                _name: 12-08
                type: public
      MS:
        name: Mato Grosso do Sul
        zones:
          - America/Campo_Grande
        days:
          10-11:
            name:
              pt: Criação do estado
            active:
              - from: 1979-10-29
      MT:
        name: Mato Grosso
        zones:
          - America/Cuiaba
        days:
          11-20:
            name:
              pt: Dia da Consciência Negra
            active:
              - from: 2002-12-27
      PA:
        name: Pará
        zones:
          - America/Santarem
        days:
          08-15:
            name:
              pt: Adesão do Grão-Pará à independência do Brasil
            active:
              - from: 1996-09-10
      PB:
        name: Paraíba
        zones:
          - America/Recife
        days:
          07-26:
            name:
              pt: Homenagem à memória do ex-presidente João Pessoa
          08-05:
            name:
              pt: Nossa Senhora das Neves
            note: Fundação do Estado em 1585 e dia da sua padroeira
            active:
              - from: 1967-08-30
      PE:
        name: Pernambuco
        zones:
          - America/Recife
        days:
          1st sunday in March:
            name:
              pt: Revolução Pernambucana de 1817
            active:
              - from: 2009-07-02
        regions:
          RE:
            name: Recife
            days:
              06-24:
                name:
                  pt: São João
                  en: Saint John's Day
                type: public
              07-16:
                name:
                  pt: Nossa Senhora do Carmo
                type: public
              12-08:
                _name: 12-08
                name:
                  pt: Nossa Senhora da Conceição
                type: public
      PI:
        name: Piauí
        zones:
          - America/Fortaleza
        days:
          10-19:
            name:
              pt: Dia do Piauí
            active:
             - from: 1937-01-01
      PR:
        name: Paraná
        zones:
          - America/Sao_Paulo
        days:
          12-19:
            name:
              pt: Emancipação política do estado do Paraná
            active:
              - from: 1962-12-18
        regions:
          CU:
            name: Curitiba
            days:
              09-08:
                name:
                  pt: Nossa Senhora da Luz dos Pinhais
                type: public
      RJ:
        name: Rio de Janeiro
        zones:
          - America/Sao_Paulo
        days:
          easter -47:
            name:
              pt: Carnaval
            active:
              - from: 2008-05-14
          04-23:
            name:
              pt: Dia de São Jorge
            active:
              - from: 2008-03-05
          3rd tuesday in October:
            name:
              pt: Dia do Comércio
            type: observance
            note: feriado para os comerciantes e trabalhadores da construção civil
          11-20:
            name:
              pt: Dia da Consciência Negra
            active:
              - from: 2002-11-11
      RN:
        name: Rio Grande do Norte
        zones:
          - America/Recife
        days:
          10-03:
            name:
              pt: Mártires de Cunhaú e Uruaçu
            active:
              - from: 2006-12-06
      RO:
        name: Rondônia
        zones:
          - America/Porto_Velho
        days:
          01-04:
            name:
              pt: Criação do estado
            active:
              - from: 2010-04-22
          06-18:
            name:
              pt: Dia do evangélico
            active:
              - from: 2001-12-20
      RR:
        name: Roraima
        zones:
          - America/Boa_Vista
        days:
          10-05:
            name:
              pt: Criação do estado
      RS:
        name: Rio Grande do Sul
        zones:
          - America/Sao_Paulo
        days:
          09-20:
            name:
              pt: Proclamação da República Rio-Grandense
      SC:
        name: Santa Catarina
        zones:
          - America/Sao_Paulo
        days:
          08-11:
            name:
              pt: Dia de Santa Catarina
            active:
              - from: 2004-01-22
                to: 2005-07-15
          08-11 if monday,tuesday,wednesday,thursday,friday,saturday then next sunday:
            name:
              pt: Dia de Santa Catarina
            active:
              - from: 2005-07-15
          11-25:
            name:
              pt: Dia de Santa Catarina de Alexandria
            active:
              - from: 1996-12-26
                to: 2005-07-15
          11-25 if monday,tuesday,wednesday,thursday,friday,saturday then next sunday:
            name:
              pt: Dia de Santa Catarina de Alexandria
            active:
              - from: 2005-07-15
      SE:
        name: Sergipe
        zones:
          - America/Recife
        days:
          07-08:
            name:
              pt: Emancipação política de Sergipe
      SP:
        name: São Paulo
        zones:
          - America/Sao_Paulo
        days:
          07-09:
            name:
              pt: Revolução Constitucionalista
            active:
              - from: 1997-03-05
        regions:
          SP:
            name: São Paulo
            days:
              01-25:
                name:
                  pt: Aniversário da Cidade
                  en: City Birthday
                type: public
      TO:
        name: Tocantins
        zones:
          - America/Araguaina
        days:
          10-05:
            name:
              pt: Criação do estado
            active:
              - from: 1989-11-17
          03-18:
            name:
              pt: Autonomia do Estado
            active:
              - from: 1998-03-17
          09-08:
            name:
              pt: Nossa Senhora da Natividade
            note: Padroeira do Estado
            active:
              - from: 1993-12-28
